﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Documents.Excel;

namespace WindowsFormsApplication9
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.Load += new EventHandler(Form1_Load);
        }

        void Form1_Load(object sender, EventArgs e)
        {
            //Set the desired chart type
            ultraChart1.ChartType = Infragistics.UltraChart.Shared.Styles.ChartType.LineChart;

            //Create a data source, in this case I am using a DataTable, to store data points that will populate the line chart
            DataTable dt = new DataTable();
                //Note that the line chart will require atleast one column and one row to be present in the DataSource
            dt.Columns.Add("Col1", typeof(int));
            dt.Columns.Add("Col2", typeof(int));
            dt.Columns.Add("Col3", typeof(int));
            dt.Columns.Add("Col4", typeof(int));
            dt.Columns.Add("Col5", typeof(int));
            dt.Rows.Add(0, 5, 7, 9, 3);
            
            //Set the DataSource
            ultraChart1.DataSource = dt;
            //Bind the chart to the DataSource
            ultraChart1.DataBind();
        }
    }
}
